> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Sends an email to a contact through the lemlist inbox.

# Send Email



## OpenAPI

````yaml post /inbox/email
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /inbox/email:
    post:
      tags:
        - Inbox
      summary: Send Email
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sendUserId:
                  type: string
                  description: Sender user ID
                sendUserEmail:
                  type: string
                  description: Sender email address
                sendUserMailboxId:
                  type: string
                  description: Sender mailbox ID
                contactId:
                  type: string
                  description: Contact ID
                leadId:
                  type: string
                  description: Lead ID
                subject:
                  type: string
                  description: Email subject
                message:
                  type: string
                  description: Email message (HTML)
                cc:
                  type: array
                  items:
                    type: string
                  description: CC email addresses
              required:
                - sendUserId
                - sendUserEmail
                - sendUserMailboxId
                - contactId
                - leadId
                - subject
                - message
            example:
              sendUserId: usr_FU6yAd3UdBFel0UDy
              sendUserEmail: john@example.com
              sendUserMailboxId: usm_pmZsNNO1gl5nwCQ07
              contactId: ctc_ei6zVayP9B2ugwUPN
              leadId: lea_wadZOcDDSFWSbFaCf
              subject: Follow up
              message: <p>Hello,</p><p>Following up on our conversation...</p>
              cc: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                ok: true
        '400':
          description: >-
            Possible errors: Bad team / Invalid sendUserId / Invalid
            sendUserEmail / Invalid sendUserMailboxId / contactId or leadId is
            required / Invalid leadId / Lead not found / Failed to send email
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '405':
          description: Method not allowed
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````